# IvyExtraInfo

interface IvyExtraInfo

Represents the set of "extra" info elements in the Ivy descriptor. These elements are children of the "ivy" element, but are not defined in the Ivy schema and come from other namespaces.

#### Inheritors

IvyExtraInfoSpec

## Functions

asMap
Link copied to clipboard
abstract fun asMap(): Map<QName, String>
Returns a map view of the 'extra' info elements such that each key is a javax.xml.namespace.QName representing the namespace and name of the element and each value is the content of the element.
get
Link copied to clipboard
@Nullable
abstract fun get(name: String): @Nullable String
Returns the value of the element with the unique element name.
@Nullable
abstract fun get(namespace: String, name: String): @Nullable String
Returns the value of the element with the name and namespace provided.